Allow slashes ('/') within a DM device name, but not at the beginning.

Devfs will automatically create all necessary sub-directories if a name
with embedded slashes is registered.  [Kevin Corry]

--- diff/drivers/md/dm-ioctl.c	2003-01-21 09:55:37.000000000 +0000
+++ source/drivers/md/dm-ioctl.c	2003-02-13 10:42:40.000000000 +0000
@@ -549,7 +549,7 @@
 
 static int check_name(const char *name)
 {
-	if (strchr(name, '/')) {
+	if (name[0] == '/') {
 		DMWARN("invalid device name");
 		return -EINVAL;
 	}
